Liblinphone: linphone::ParticipantDeviceListener Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::ParticipantDeviceListener Class Reference
Inheritance diagram for linphone::ParticipantDeviceListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onIsSpeakingChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, bool isSpeaking)
| Callback used to notify that is this participant device speaking has changed.
virtual LINPHONECXX_PUBLIC void | onIsMuted (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, bool isMuted)
| Callback used to notify that this participant device is muted or is no longer muted.
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, linphone::ParticipantDeviceState state)
| Callback used to notify that participant device changed state.
virtual LINPHONECXX_PUBLIC void | onStreamCapabilityChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, linphone::MediaDirection direction, linphone::StreamType streamType)
| Callback used to notify that participant device stream capability has changed.
virtual LINPHONECXX_PUBLIC void | onStreamAvailabilityChanged (const std::shared_ptr< linphone::ParticipantDevice > &participantDevice, bool available, linphone::StreamType streamType)
| Callback used to notify that participant device stream availability has changed.

## Member Function Documentation

## ◆ onIsMuted()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onIsMuted | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | bool | isMuted
| ) |  |
| inlinevirtual

Callback used to notify that this participant device is muted or is no longer muted.

Parameters

  isMuted | is this participant device muted

## ◆ onIsSpeakingChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onIsSpeakingChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | bool | isSpeaking
| ) |  |
| inlinevirtual

Callback used to notify that is this participant device speaking has changed.

Parameters

  isSpeaking | is this participant device speaking

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onStateChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | linphone::ParticipantDeviceState | state
| ) |  |
| inlinevirtual

Callback used to notify that participant device changed state.

Parameters

  participantDevice | LinphoneParticipantDevice object

## ◆ onStreamAvailabilityChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onStreamAvailabilityChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | bool | available,
|  | linphone::StreamType | streamType
| ) |  |
| inlinevirtual

Callback used to notify that participant device stream availability has changed.

Parameters

  participantDevice | LinphoneParticipantDevice object

## ◆ onStreamCapabilityChanged()

virtual LINPHONECXX_PUBLIC void linphone::ParticipantDeviceListener::onStreamCapabilityChanged | ( | const std::shared_ptr< linphone::ParticipantDevice > & | participantDevice,
|  | linphone::MediaDirection | direction,
|  | linphone::StreamType | streamType
| ) |  |
| inlinevirtual

Callback used to notify that participant device stream capability has changed.

Parameters

  direction | participant device's audio direction

The documentation for this class was generated from the following file:

- participant_device_listener.hh